
let android = new class{

    init() {
    }

    isHaveVideo() {
        return true
    }

    showVideoAd() {
        jsb.reflection.callStaticMethod("org.cocos2dx.javascript.AppActivity", "showRewardedVideoAd", "()V")
    }

    showInterstitial() {
    }

    shareAppMessage(parm?: any): void {
    }

    verifyAPP(): boolean {
        return true
    }

    updateGameVersioin(): void {
    }

    showVideoAdCSJ() {
        jsb.reflection.callStaticMethod("org.cocos2dx.javascript.AppActivity", "showRewardedVideoAdCSJ", "()V")
    }
    showVideoAdYLH() {
        jsb.reflection.callStaticMethod("org.cocos2dx.javascript.AppActivity", "showRewardedVideoAdYLH", "()V")
    }
    showVideoAdKS() {
        jsb.reflection.callStaticMethod("org.cocos2dx.javascript.AppActivity", "showRewardedVideoAdKS", "()V")
    }


}


window["android"] = android
